# Macro that checks if variable is defined, otherwise checks env for same name, otherwise uses default value
MACRO(SET_VALUE _variable _default_value _descr)
  IF (NOT ${_variable})
    #MESSAGE(DEBUG "---Var-->${_variable}<---not set------")
    IF(DEFINED ENV{${_variable}})
      SET(${_variable} $ENV{${_variable}} CACHE STRING "${_descr}")
      #MESSAGE(DEBUG "--setting from env-->$ENV{${_variable}}<--------")
    ELSE()
      SET(${_variable} ${_default_value} CACHE STRING "${_descr}")
      #MESSAGE(DEBUG "--setting default-->${_default}<-------")
    ENDIF()
    #MESSAGE(DEBUG "--exit--env-->$ENV{${_variable}}<--var--${_variable}------")
  ENDIF()
ENDMACRO(SET_VALUE)

